Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering
Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class TakeoverProtocolRows
    Inherits BaseObject

    Private _Installation As Installation
    Private _UniqueObjects As UniqueObjects
    Private _TakeOverProtocolHeader As TakeoverProtocolHeader

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property Installation() As Installation
        Get
            Return _Installation
        End Get
        Set(ByVal value As Installation)
            SetPropertyValue("Installation", _Installation, value)
        End Set
    End Property
    Property UniqueObjects() As UniqueObjects
        Get
            Return _UniqueObjects
        End Get
        Set(ByVal value As UniqueObjects)
            SetPropertyValue("UniqueObjects", _UniqueObjects, value)
        End Set
    End Property
    <Association("TakeOverProtocol", GetType(TakeoverProtocolHeader))> _
    Property TakeoverProtocolHeader() As TakeoverProtocolHeader
        Get
            Return _TakeOverProtocolHeader
        End Get
        Set(ByVal value As TakeoverProtocolHeader)
            SetPropertyValue("TakeoverProtocolHeader", _TakeOverProtocolHeader, value)
        End Set
    End Property

    Public Sub AddRows(ByVal _TakeoverProtocolHeader As TakeoverProtocolHeader)
        TakeoverProtocolHeader = _TakeoverProtocolHeader
        Installation = TakeoverProtocolHeader.Row_Installation
        UniqueObjects = TakeoverProtocolHeader.Row_UniqueObjects
        Save()
    End Sub
End Class
